Page MenuHomePhabricator

WDQS GUI deploy build fails
Closed, ResolvedPublic

Description

WDQS GUI deploy build fails with this:

09:05:58 mkdir: cannot create directory ‘/srv/home/jenkins-deploy/tmpfs/jenkins-0’: Permission denied

Full log here: https://integration.wikimedia.org/ci/job/wikidata-query-gui-build/235/console

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 11 2019, 8:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as High priority.Jul 11 2019, 8:01 PM
Smalyshev raised the priority of this task from High to Unbreak Now!.EditedJul 16 2019, 4:43 AM

Still failing: https://integration.wikimedia.org/ci/job/wikidata-query-gui-build/238/console

This is blocking deployment of new WDQS GUI versions, so I am bumping the priority.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 16 2019, 4:43 AM
hashar claimed this task.Jul 17 2019, 3:34 PM

That job got copied from the one that builds wikimedia/portals assets. It suffered from the exact same issue: T227448

The fix should be easy, just have to get rid of some legacy / faulty script in the CI job.

Change 523953 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: inline npm-install macro to sole job using it

https://gerrit.wikimedia.org/r/523953

Change 523954 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] WDQS GUI: stop using legacy npm-setup.sh script

https://gerrit.wikimedia.org/r/523954

Mentioned in SAL (#wikimedia-releng) [2019-07-17T16:08:17Z] <hashar> Jenkins: updating wikidata-query-gui-build to get rid of slave-scripts/bin/npm-setup.sh which requires an obsolete/non existing tmpfs # T227818

Change 523953 merged by jenkins-bot:
[integration/config@master] jjb: inline npm-install macro to sole job using it

https://gerrit.wikimedia.org/r/523953

Change 523954 merged by jenkins-bot:
[integration/config@master] WDQS GUI: stop using legacy npm-setup.sh script

https://gerrit.wikimedia.org/r/523954

The job happens after a change has been merged (Zuul pipeline: postmerge).

I have manually triggered in Jenkins the last build which was for https://gerrit.wikimedia.org/r/#/c/wikidata/query/gui/+/523257/

Job is running at https://integration.wikimedia.org/ci/job/wikidata-query-gui-build/239/

hashar closed this task as Resolved.Jul 17 2019, 4:19 PM

The job has produced https://gerrit.wikimedia.org/r/#/c/wikidata/query/gui-deploy/+/523962

When I have fixed the wikimedia/portals one, I should have remembered the wikidata query gui one required a fix as well. Sorry!

The build seems to be fine now, thanks!

Hurrah! Thank you to have remaindered us about this task :-]